#!/usr/bin/env python

from sys import argv

def logmap(x):
	return map(float, x.split())

def cmp(a, b):
	if a[2] > b[2]:
		return 1
	elif a[2] < b[2]:
		return -1
	elif a[0] > b[0]:
		return 1
	elif a[0] < b[0]:
		return -1
	else:
		return 0

for filename in argv[1:]:
	rf = open(filename + '.results', 'w')
	lf = open(filename + '.L1.t.log', 'r')
	logdb = map(logmap, lf.readlines())
	lf.close()
	logdb0 = {}
	for i in logdb:
		logdb0[(i[0], i[1])] = i[2]
	logdb.sort(cmp)
	rf.write('L1 test\n')
	rf.write('%s\n' % logdb[0])
	rf.flush()
	lf = open(filename + '.L1.RM.log', 'r')
	logdb = map(logmap, lf.readlines())
	lf.close()
	logdb.sort(cmp)
	rf.write('L1 Modified RM bound\n')
	rf.write('%s\n' % logdb[0])
	rf.write('%s\n' % logdb0[(logdb[0][0], logdb[0][1])])
	rf.flush()
	lf = open(filename + '.L1.1.log', 'r')
	logdb = map(logmap, lf.readlines())
	lf.close()
	logdb.sort(cmp)
	rf.write('L1 Our modified bound\n')
	rf.write('%s\n' % logdb[0])
	rf.write('%s\n' % logdb0[(logdb[0][0], logdb[0][1])])
	rf.flush()
	lf = open(filename + '.L2.t.log', 'r')
	logdb = map(logmap, lf.readlines())
	lf.close()
	logdb0 = {}
	for i in logdb:
		logdb0[(i[0], i[1])] = i[2]
	logdb.sort(cmp)
	rf.write('L2 test\n')
	rf.write('%s\n' % logdb[0])
	rf.flush()
	lf = open(filename + '.L2.RM.log', 'r')
	logdb = map(logmap, lf.readlines())
	lf.close()
	logdb.sort(cmp)
	rf.write('L2 RM bound\n')
	rf.write('%s\n' % logdb[0])
	rf.write('%s\n' % logdb0[(logdb[0][0], logdb[0][1])])
	rf.flush()
	rf.close()
